diff --git a/src/interfaces/libpgtcl/mkMakefile.tcldefs.sh.in b/src/interfaces/libpgtcl/mkMakefile.tcldefs.sh.in
new file mode 100644
index 0000000000000000000000000000000000000000..a8c2cc374de976b3c5b8836fcb20c16f1508a066
--- /dev/null
+++ b/src/interfaces/libpgtcl/mkMakefile.tcldefs.sh.in
@@ -0,0 +1,16 @@
+
+if [ ! -f @TCL_CONFIG_SH@ ]; then
+    echo "@TCL_CONFIG_SH@ not found"
+    echo "I need this file! Please make a symbolic link to this file"
+    echo "and start make again."
+    exit 1
+fi
+
+cat @TCL_CONFIG_SH@ |
+    egrep '^TCL_' |
+    while read inp
+    do
+	    eval eval echo $inp
+    done >Makefile.tcldefs
+
+exit 0
diff --git a/src/interfaces/libpgtcl/mkMakefile.tkdefs.sh.in b/src/interfaces/libpgtcl/mkMakefile.tkdefs.sh.in
new file mode 100644
index 0000000000000000000000000000000000000000..3b5fd2402f49e8195e795282ca039f80fa43d870
--- /dev/null
+++ b/src/interfaces/libpgtcl/mkMakefile.tkdefs.sh.in
@@ -0,0 +1,18 @@
+
+if [ ! -f @TK_CONFIG_SH@ ]; then
+    echo "@TK_CONFIG_SH@ not found"
+    echo "I need this file! Please make a symbolic link to this file"
+    echo "and start make again."
+    exit 1
+fi
+
+. @TK_CONFIG_SH@
+
+cat @TK_CONFIG_SH@ |
+    egrep '^TK_' |
+    while read inp
+    do
+	    eval eval echo $inp
+    done >Makefile.tkdefs
+
+exit 0